### Hierarchy

- ObjecteditingManagerService

## Index

### Properties

- getFeatureDefered_
- gmfEditFeature_
- ngeoLocation_
- q_

### Methods

- getFeature
- getGeomType
- getLayerNodeId
- handleGetFeatures_

## Properties

### getFeatureDefered_

getFeatureDefered_: IDeferred<Feature<Geometry>>

- Defined in src/objectediting/Manager.js:84

### gmfEditFeature_

gmfEditFeature_: any

- Defined in src/objectediting/Manager.js:74

### ngeoLocation_

ngeoLocation_: StatemanagerLocation

- Defined in src/objectediting/Manager.js:79

### q_

q_: IQService

- Defined in src/objectediting/Manager.js:69

## Methods

### getFeature

- getFeature(): IPromise<Feature<Geometry>>

- - Defined in src/objectediting/Manager.js:97

  Use the EditFeature service to fetch a single feature using parameters in the url. The method returns a promise that has the feature as argument in the callback method. If any parameter in the url is missing, `null` is returned, otherwise the query is made. If the query returns a feature, it is returned, otherwise one is created with empty geometry and with the property set.

  #### Returns IPromise<Feature<Geometry>>

  Promise.

### getGeomType

- getGeomType(): string

- - Defined in src/objectediting/Manager.js:131

  #### Returns string

  The geometry type.

### getLayerNodeId

- getLayerNodeId(): number

- - Defined in src/objectediting/Manager.js:138

  #### Returns number

  The gmf layer node id.

### handleGetFeatures_

- handleGetFeatures_(key: string, value: string, features: Feature<Geometry>[]): void

- - Defined in src/objectediting/Manager.js:152

  Called after getting features with comparison filters. Resolve the deferred promise with the first returned feature (if any), otherwise resolve it with a feature created with an empty geometry and the property key + value that was used in the attempt to fetch it.

  #### Parameters

  - ##### key: string

    Property key.

  - ##### value: string

    Property value.

  - ##### features: Feature<Geometry>[]

    List of features.

  #### Returns void

Generated using TypeDoc